> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neobank.proofof.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Beneficiary Schemas



## OpenAPI

````yaml /openapi.json get /v1/beneficiaries/schemas
openapi: 3.1.0
info:
  summary: >-
    Canonical API for customer onboarding, accounts, remittance, mandates, and
    cards.
  title: Example Neobank
  version: 0.1.0
servers: []
security: []
paths:
  /v1/beneficiaries/schemas:
    get:
      tags:
        - Beneficiaries
      summary: Beneficiary Schemas
      operationId: beneficiary_schemas_v1_beneficiaries_schemas_get
      parameters:
        - in: query
          name: country
          required: true
          schema:
            maxLength: 2
            minLength: 2
            title: Country
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/BeneficiarySchemaView'
                title: Response Beneficiary Schemas V1 Beneficiaries Schemas Get
                type: array
          description: Successful Response
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Malformed or invalid request semantics
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Authentication required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Action not permitted
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Resource not found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: State or idempotency conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Request validation failed
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Rate limit exceeded
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Invalid upstream response
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Provider capability unavailable
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
          description: Provider timeout
components:
  schemas:
    BeneficiarySchemaView:
      additionalProperties: false
      properties:
        country:
          title: Country
          type: string
        currency:
          title: Currency
          type: string
        fields:
          items:
            $ref: '#/components/schemas/BeneficiaryField'
          title: Fields
          type: array
        id:
          title: Id
          type: string
        label:
          title: Label
          type: string
        purpose_codes:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Purpose Codes
      required:
        - id
        - label
        - country
        - currency
        - fields
        - purpose_codes
      title: BeneficiarySchemaView
      type: object
    ProblemDetails:
      additionalProperties: false
      properties:
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        fields:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Fields
        instance:
          title: Instance
          type: string
        refresh_onboarding:
          title: Refresh Onboarding
          type: boolean
        request_id:
          title: Request Id
          type: string
        retryable:
          title: Retryable
          type: boolean
        status:
          title: Status
          type: integer
        submission_uncertain:
          title: Submission Uncertain
          type: boolean
        title:
          title: Title
          type: string
        type:
          title: Type
          type: string
      required:
        - type
        - title
        - status
        - detail
        - instance
        - code
        - request_id
        - retryable
        - submission_uncertain
        - refresh_onboarding
      title: ProblemDetails
      type: object
    BeneficiaryField:
      additionalProperties: false
      properties:
        allowed_values:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Allowed Values
        fields:
          anyOf:
            - items:
                $ref: '#/components/schemas/BeneficiaryField'
              type: array
            - type: 'null'
          title: Fields
        key:
          title: Key
          type: string
        required:
          title: Required
          type: boolean
        required_when:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Required When
        type:
          title: Type
          type: string
      required:
        - key
        - type
        - required
      title: BeneficiaryField
      type: object

````